DESCRIPTION = "Bonjour, also known as zero-configuration networking, enables automatic discovery of computers, devices, and services on IP networks."
HOMEPAGE = "http://developer.apple.com/networking/bonjour/"
SECTION = "base"
LICENSE = "Apache License, Version 2.0"
APPNAME = "mdnsresponder"

SRC_URI = "http://www.opensource.apple.com/darwinsource/tarballs/other/mDNSResponder-107.6.tar.gz \
        file://mdnsresponder_make.patch;patch=1;pnum=1 \
	file://mdnsresponder.init \
	file://bonjour.conf"

S = "${WORKDIR}/mDNSResponder-107.6"

FILES_${PN} += "${datadir}/mdsnresponder"

do_compile() {
	cd ${S}/mDNSPosix
	oe_runmake os=linux
}

do_install() {
	install -d ${D}${sysconfdir}/init.d
	install -d ${D}${bindir}
	install -m 0644 ${WORKDIR}/bonjour.conf ${D}${sysconfdir}/bonjour.conf
	install -m 0755 ${S}/mDNSPosix/build/prod/mDNSResponderPosix ${D}${bindir}
	install -m 0755 ${WORKDIR}/mdnsresponder.init ${D}${sysconfdir}/init.d/mdnsresponder
}

CONFFILES_${PN} = "${sysconfdir}/bonjour.conf"
